/*
 * global.h
 */


#ifndef _GLOBAL_H_
#define _GLOBAL_H_


#define DEFAULT_ENGINE_PATH	"/usr/local/bin/gnugo"
#define DEFAULT_ENGINE_ARGS	"--mode gtp --quiet --clock 2400 --byo-time 0"
#define DEFAULT_COM_DEVICE	"/dev/ttyS0"
#define DEFAULT_COM_BAUDRATE	2400
#define DEFAULT_PROTOCOL	PROTOCOL_SGMP
#define DEFAULT_BOARD_SIZE	19
#define DEFAULT_ENGINE_COLOR	WHITE
#define DEFAULT_HANDICAP	0
#define DEFAULT_KOMI		6.5
#define DEFAULT_LOG_PATH	"/tmp/gmp2gtp.log"

#define PROTOCOL_GMP		1
#define PROTOCOL_SGMP		2


typedef int Color;

#define NONE			0
#define WHITE			1
#define BLACK			2
#define BOTH			3

#define OPPONENT(c)		(c == WHITE ? BLACK : WHITE)


typedef struct {
  int type;
  int x, y;
} Cmd;

#define CMD_NONE		0
#define CMD_MOVE		1
#define CMD_PASS		2
#define CMD_RESIGN		3
#define CMD_RESET		4
#define CMD_NEWGAME		5
#define CMD_UNDO		6


typedef int boolean;

#define FALSE			0
#define TRUE			1


extern boolean debug;


#endif /* _GLOBAL_H_ */
